import pandas as pd
from pandas_datareader import data
import datetime
import qqpat
import csv

def lastValue(x):
    try:
        reply = x[-1]
    except:
        reply = None
    return reply

tradeTimes = []
tradeBalance = []

with open("sys.txt", 'rb') as csvfile:
        reader = csv.reader(csvfile)
        i = 0
        lastBalance = 100000
        for row in reader:
            if i > 0:
                tradeTimes.append(datetime.datetime.strptime(row[3], '%d/%m/%Y %H:%M'))
                tradeBalance.append(float(row[10]))
            i += 1
                                     
data = pd.DataFrame(data=tradeBalance, index=tradeTimes).resample('D', how=lastValue).pct_change(fill_method='pad').fillna(0)

analyzer = qqpat.Analizer(data, column_type='return', titles=["sys"])

analyzer.plot_mc_limits(iterations=100, confidence=99)





